Bug 114791 - Infinite loop in cmail with empty .res file
Infinite loop in cmail with empty .res file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xboard (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 17:00 EST by Michael Soulier
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 10:11:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Soulier 2004-02-02 17:00:12 EST
A friend of mine was just bitten by this. 

Trying to invoke cmail caused it to never return, and chewed cpu on
his box like crazy. Walking through the perl debugger, it seems that
he had a zero-size .res file in his $CHESSDIR. Thus, this line in cmail...

 1271     shift (@tgames) while (!$tgames[0]) ;

...is an infinite loop.

Workaround: Delete the .res file.

Cheers.
Comment 1 Karsten Hopp 2004-11-16 10:11:34 EST
This report has been left open for way too long. I don't think I get
around to fix this, sorry

Note You need to log in before you can comment on or make changes to this bug.